random(1)

NAME
random - random - generate random number

random - generate random number

  Synopsis
random [SEED]

  Description
random outputs a random number from 0 to 32766, inclusive.

If a SEED value is provided, it is used to seed the random number generator, and no output will be produced. This can be useful for debugging purposes, where it can be desirable to get the same random number sequence multiple times. If the random number generator is called without first seeding it, the current time will be used as the seed.

  Example
The following code will count down from a random number to 1:

for i in (seq (random) -1 1)
        echo $i
        sleep
end